//+------------------------------------------------------------------+
//|                                                   Informator.mq4 |
//|                      Copyright  2008, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2008, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"

extern bool print   = false;
extern bool comment = true;
extern bool sound   = true;
extern int   tru    = 3;
extern bool alert   = false;
extern bool fractal = true;
extern bool bar     = true;
extern bool slparabolic   = false;
extern bool slfractal = false;
extern bool slbar     = false;
extern int  TmFr    = 0;


bool accept = true;
static int prevtime = 0 ;
//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
  {
int count;


//-----------------
   if(ObjectFind("Ap")>-1)
    {
     double prise = ObjectGet("Ap", OBJPROP_PRICE1);
     if (Ask>prise)
      {
       //accept = true;
       if(sound){for (int i=0;i<tru;i++){PlaySound("error.wav");Sleep(3000);}}
        if(comment){Comment("\n"+TimeToStr(TimeCurrent(),TIME_DATE|TIME_SECONDS)+"  !!!");Sleep(3000);}
        if(alert){Alert(Symbol(),"  !!!!!!");}
         if(print){Print("  !!!!!!");}
          accept=false;
           }       
            }
//-------------------
   if(ObjectFind("Dn")>-1)
    {
     if (Bid<ObjectGet("Dn", OBJPROP_PRICE1))
      {
       //accept = true;
       if(sound){ for (i=0;i<tru;i++){PlaySound("error.wav");Sleep(3000);}}
        if(comment){Comment("\n"+TimeToStr(TimeCurrent(),TIME_DATE|TIME_SECONDS)+"  !!!");Sleep(3000);}
         if(print){Print("  !!!!!!");}
          if(alert){Alert(Symbol(),"  !!!!!!");}
          accept=false;
           }       
            }
//-------------------
if((ObjectFind("Ap")>-1)&&(ObjectFind("Dn")>-1))
 {
  int canal =(((ObjectGet("Ap", OBJPROP_PRICE1))-( ObjectGet("Dn", OBJPROP_PRICE1)))/Point);
  if(comment){Comment("  ="+canal +" ");}
   }

//-------------------

if (Time[0] == prevtime) 
   {            
//-----------------
      if(slfractal)
       {
        if(iFractals(NULL, 0, MODE_UPPER, 2)!=0)
         {
          Comment("SELL SL ="+iFractals(NULL, 0, MODE_UPPER, 2));
           }      
        if(iFractals(NULL, 0, MODE_LOWER, 2)!=0)
         {
          Comment("BUY SL ="+iFractals(NULL, 0, MODE_LOWER, 2));
           }
            }
//-----------------
   if(fractal)
    {
     if(iFractals(NULL, 0, MODE_UPPER, 2)!=0 || iFractals(NULL, 0, MODE_LOWER, 2)!=0)
      { 
       if(sound){ for (i=0;i<tru;i++){PlaySound("ding2.wav");}}
        if(comment){Comment("\n"+TimeToStr(TimeCurrent(),TIME_DATE|TIME_SECONDS)+"Fracktal!!!");}
         if(alert){Alert(Symbol(),"Fracktal!!!");}
         if(print){Print("Fracktal!!!");}
          }
           }
//------------
   if(bar)
    {
     if(sound){{PlaySound("Bar.wav");}}
      if(comment){Comment("\n"+TimeToStr(TimeCurrent(),TIME_DATE|TIME_SECONDS)+"New Bar!!!");}
       }    
//-----------------
  accept=true;
   return(0);
    prevtime = Time[0]; 
     }

//----
   return(0);
  }
//+------------------------------------------------------------------+

